Remove Action from Agent
Permanently deletes an action. This will remove the action from all associated agents and cannot be undone.
DELETE
/
conversation-ai
/
agents
/
{agentId}
/
actions
/
{actionId}
Remove Action from Agent
curl --request DELETE \
--url https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/{actionId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'DELETE',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/{actionId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "actionId123"
},
"success": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Last modified on March 7, 2026
Was this page helpful?
Remove Action from Agent
curl --request DELETE \
--url https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/{actionId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'DELETE',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/{actionId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "actionId123"
},
"success": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}